List all users
curl --request GET \
--url https://prod.truv.com/v1/users/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/users/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"external_user_id": "12345",
"created_at": "2022-05-04T11:30:00Z",
"updated_at": "2022-05-04T12:00:00Z",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+14155554193",
"ssn": "222233333",
"links": [
{
"id": "48427a36d43c4d5aa6324bc06c692456",
"access_token": "****************************7610",
"created_at": "2022-06-07T15:00:00Z",
"updated_at": "2022-06-30T15:00:00Z",
"deleted_at": "2022-06-30T15:00:00Z",
"tracking_info": "user123456",
"status": "new",
"user_external_id": "user123456",
"provider_id": "adp",
"provider": {
"id": "adp",
"name": "ADP",
"logo_url": "<string>"
},
"company_mapping": {
"id": "meta",
"name": "Meta",
"logo_url": "<string>"
},
"link_hash": "bc917458a3da4b2c8cc8282aa1707aaa",
"allowed_products": [
"income"
],
"initial_product_type": "income",
"data_source": "payroll",
"is_suspicious": true,
"is_dds_available": true
}
]
}
],
"next": "<string>",
"previous": "<string>"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Users
List all users
The endpoint returns a list of users.
GET
/
v1
/
users
/
List all users
Authorizations
Client ID
Client Access Key
Query Parameters
Filter created_at less than or equal (ISO-8601)
Filter created_at greater than or equal (ISO-8601)
Filter by product type.
Available options:
income, employment, deposit_switch, pll, insurance, transactions, assets Example:
"income"
Filter by provider id.
Search query by the following fields: id, external_user_id, email, first_name, last_name, link_id.
If not set, returns all users; otherwise, returns users with/without attempts.
A page number within the paginated result set.
Number of results to return per page.
Filter by user external identifier.
When set to true, for each user adds the payload from the account links endpoint.
Was this page helpful?
⌘I